// creator  : weidu.exe (version 23100)
// argument : XAPPREN2.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~XAPPREN2~

IF ~NumTimesTalkedTo(0)
!Dead("XAppren1")
!StateCheck("XAppren1",STATE_SLEEPING)~ THEN BEGIN 0 // from:
  SAY #23665 /* ~Eeeek!  Prebek!  Intruders!~ */
  IF ~~ THEN EXTERN ~XAPPREN1~ 0
END

IF ~~ THEN BEGIN 1 // from: XAPPREN1:0.0
  SAY #23668 /* ~Testing us?  Again?~ */
  IF ~~ THEN EXTERN ~XAPPREN1~ 1
END

IF ~~ THEN BEGIN 2 // from: XAPPREN1:1.0
  SAY #23670 /* ~Yes, I remember.  Well, you may be right... perhaps we should ask them?~ */
  IF ~~ THEN EXTERN ~XAPPREN1~ 2
END

IF ~~ THEN BEGIN 3 // from: XAPPREN1:2.0
  SAY #23672 /* ~Errr... alright.  Foul intruders!  We shall stop you for our master!~ */
  IF ~~ THEN DO ~Enemy()~ EXTERN ~XAPPREN1~ 3
END

IF ~True()
!Dead("xappren1")~ THEN BEGIN 4 // from:
  SAY #23675 /* ~AAAAAHHHH!!~ */
  IF ~~ THEN EXIT
END
